Bug 1405805 - [RFE] - Streaming API should support upload of disk snapshots
Summary: [RFE] - Streaming API should support upload of disk snapshots
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Daniel Erez
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks: 1206691 1483305
TreeView+ depends on / blocked
 
Reported: 2016-12-18 15:02 UTC by Yaniv Lavi
Modified: 2017-12-24 09:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The REST API now supports download/upload of snapshots for backup and restoration.
Clone Of:
: 1483305 (view as bug list)
Environment:
Last Closed: 2017-12-20 10:52:14 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+
ratamir: testing_plan_complete?
ylavi: planning_ack+
rule-engine: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 82296 master MERGED core: return devices in GetVmOvfByVmIdQuery 2017-10-18 11:30:25 UTC
oVirt gerrit 82297 master MERGED restapi: add disk - support passing disk and image IDs 2017-10-18 11:30:37 UTC
oVirt gerrit 82298 master MERGED core,restapi: add snapshot - support passing image_id 2017-10-18 13:27:27 UTC
oVirt gerrit 82314 master MERGED examples: upload disk snapshots 2017-10-23 12:37:13 UTC
oVirt gerrit 82539 master MERGED examples: download a VM OVF file 2017-10-23 08:29:55 UTC

Internal Links: 1608452

Description Yaniv Lavi 2016-12-18 15:02:46 UTC
Description of problem:
Streaming API should support upload and download of snapshots. In order to be able to backup/restore from the API snapshot upload and download is needed. This ticket is to track the addition of this ability.

Comment 1 Yaniv Lavi 2017-01-18 16:41:58 UTC
Can you estimate the amount of work here?

Comment 2 Liron Aravot 2017-01-29 15:04:22 UTC
Hi Yaniv,
I've consulted with derez - The estimation is that it'll take around a 1.5-2 months to complete on all ends.

Comment 3 Yaniv Kaul 2017-10-29 15:24:48 UTC
What's missing in order to move this specific BZ to MODIFIED?

Comment 4 Daniel Erez 2017-10-29 15:28:37 UTC
(In reply to Yaniv Kaul from comment #3)
> What's missing in order to move this specific BZ to MODIFIED?

Can be moved now.

Comment 5 Natalie Gavrielov 2017-12-17 16:52:42 UTC
Verified, using ovirt-engine-sdk-python-4.2.1a3 and rhvm-4.2.0-0.5.master.el7.noarch

Comment 6 Sandro Bonazzola 2017-12-20 10:52:14 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.